Package twisted :: Package conch :: Package ssh :: Module pamauth

[show private | hide private]
[frames | no frames]

## Module twisted.conch.ssh.pamauth

Support for asynchronously authenticating using PAM.

Function Summary
| `defConv(items)`
| `pamAuthenticate(service, user, conv)`
| `pamAuthenticateThread(service, user, conv)`

Variable Summary
`FakeModule` | `PAM`
`SelectReactor` | `reactor`

Variable Details

### PAM

  Type:
    `FakeModule`
  Value:

        <Fake PAM>

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

Generated by Epydoc 1.1 on Sat Feb 15 21:17:48 2003 | http://epydoc.sf.net